### Method

# GLib Source get_time

since: 2.28

#### Declaration [src]

    gint64
    g_source_get_time (
      GSource* source
    )

#### Description [src]

Gets the time to be used when checking this source.

The advantage of calling this function over calling `g_get_monotonic_time()` directly is that when checking multiple sources, GLib can cache a single value instead of having to repeatedly get the system monotonic time.

The time here is the system monotonic time, if available, or some other reasonable alternative otherwise. See `g_get_monotonic_time()`.

Available since: 2.28

#### Return value

Type: `gint64`

The monotonic time in microseconds.